Loading...
Searching...
No Matches
network.Socket Class Reference

Connection object. More...

Collaboration diagram for network.Socket:
[legend]

## Public Member Functions

| disconnect_cb (self, disconnect_cb)
| Change the callback for disconnect notification.
| close (self)
| Close the network connection.
| send (self, data)
| Send data over the network.
| sendline (self, data)
| Send a line of text.
| recv (self, maxsize=4096)
| Read data from the network.
| rawread (self, callback, error=None)
| Register function to be called when data is ready for reading.
| read (self, callback, error=None, maxsize=4096)
| Register function to be called when data is received.
| readlines (self, callback, error=None, maxsize=4096)
| Buffer incoming data until a line is received, then call a function.
| unread (self)
| Cancel a read() or rawread() callback.

## Public Attributes

bool | tls = tls
| read only variable which indicates whether TLS encryption is used on this socket.
tuple | remote = remote
| remote end of the network connection.
| connections = connections
| connections set where this socket is registered.
| socket = None
| underlying socket object.

## Detailed Description

Connection object.

Definition at line 187 of file network.py.

The documentation for this class was generated from the following file:

- network.py